## org.apache.ivy.core.event.publish
Class StartArtifactPublishEvent

    java.lang.Object
      org.apache.ivy.core.event.IvyEvent
          org.apache.ivy.core.event.publish.PublishEvent
              org.apache.ivy.core.event.publish.StartArtifactPublishEvent

    public class StartArtifactPublishEvent

extends PublishEvent

Event fired just before an artifact is published into a resolver. Triggers registered on `NAME` will be notified of these events.

See Also:
  `DependencyResolver.publish(Artifact, File, boolean)`

Field Summary
`static java.lang.String` `NAME`

Constructor Summary
`StartArtifactPublishEvent(DependencyResolver resolver, Artifact artifact, java.io.File data, boolean overwrite)`

Method Summary

Methods inherited from class org.apache.ivy.core.event.publish.PublishEvent
`getArtifact, getData, getResolver, isOverwrite`

Methods inherited from class org.apache.ivy.core.event.IvyEvent
`addAttribute, addAttributes, addConfsAttribute, addMDAttributes, addModuleIdAttributes, addMridAttributes, equals, getAttributes, getName, getSource, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

Constructor Detail

### StartArtifactPublishEvent

    public StartArtifactPublishEvent(DependencyResolver resolver,
                                     Artifact artifact,
                                     java.io.File data,
                                     boolean overwrite)